<?php defined('C5_EXECUTE') or die("Access Denied.");
$fh = Core::make('helper/form/color');
$pkg = Package::getByHandle('wave_text');
$pkgVersion = $pkg->getPackageVersion();
$addSelected = true;
?>
<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" rel="stylesheet">
<p>
<?php print Core::make('helper/concrete/ui')->tabs(array(
	array('form-settings', t('Text'), $addSelected), array('form-design', t('Options')), array('form-help', '<i class="fa fa-question-circle"></i>')));?>
</p>

<!-- Begin Button Content Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-settings">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php  echo $form->label("wtText",t("Text"));?>
				<div class="input-group">
					<div class="input-group-addon"><i class="fa fa-font"></i></div>
					<?php  echo $form->textarea("wtText",$wtText); ?>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php  echo $form->label('wavetype', t('Effect Type'));?>
				<?php  echo $form->select('wavetype', array("wave"=>t("Wave"),"swirl"=>t("Swirl"),"cascade"=>t("Cascade"),"circle"=>t("Circle"),"arc"=>t("Arc")),$wavetype,array("onChange" => "updateType();"));?>
			</div>
		</div>
	</div>
	
	<!-- Wave Text Options -->
	<div id="form-wave">
		<div class="row">
			<div class="col-xs-12">
				<h4><?php echo t('Wave Text')?></h4>
				<p><?php echo t('Text is displayed as a wave.')?></p>
			</div>
		</div>
	</div>
	
	<!-- Swirl Text Options -->
	<div id="form-swirl">
		<div class="row">
			<div class="col-xs-12">
				<h4><?php echo t('Swirl Text')?></h4>
				<p><?php echo t('Displays text as a spiral.')?></p>
			</div>
		</div>
	</div>
	
	<!-- Cascade Text Options -->
	<div id="form-cascade">
		<div class="row">
			<div class="col-xs-12">
				<h4><?php echo t('Cascade Text')?></h4>
				<p><?php echo t('Text displayed on a bezier curve.')?></p>
			</div>
		</div>
	</div>
	
	<!-- Circle Text Options -->
	<div id="form-circle">
		<div class="row">
			<div class="col-xs-12">
				<h4><?php echo t('Circle Text')?></h4>
				<p><?php echo t('Renders text in a perfect circle.')?></p>
			</div>
		</div>
	</div>
	
	<!-- Arc Text Options -->
	<div id="form-arc">
		<div class="row">
			<div class="col-xs-12">
				<h4><?php echo t('Arc Text')?></h4>
				<p><?php echo t('Renders text as an arc (half circle).')?></p>
			</div>
		</div>
	</div>
	
</div>

<!-- Begin Design Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-design">
	<div class="row">
		<div class="col-xs-5">
			<div class="form-group">
				<label class="form-label"><?php echo t('Text Color')?></label><br />
				<?php echo $fh->output('wtColor', $wtColor?$wtColor:"#000000", array('preferredFormat'=>'hex')); ?>
			</div>
		</div>
		<div class="col-xs-7">
			<div class="form-group">
				<i class="fa fa-expand"></i> <?php  echo $form->label('scale', t('Scale Text to Fit?'));?>
				<?php  echo $form->select('scale', array("true"=>t("Yes"),"false"=>t("No")),$scale);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-5">
			
		</div>
		<div class="col-xs-7">
			<div class="form-group">
				<i class="fa fa-repeat"></i> <?php  echo $form->label('rotate', t('Rotate Along Curve?'));?>
				<?php  echo $form->select('rotate', array("true"=>t("Yes"),"false"=>t("No")),$rotate);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-7">
			<div class="form-group">
				<i class="fa fa-play-circle-o"></i> <?php  echo $form->label('animate', t('Animate Upon Page Load?'));?>
				<?php  echo $form->select('animate', array("true"=>t("Yes"),"false"=>t("No")),$animate);?>
			</div>
		</div>
		<div class="col-xs-5">
			<div class="form-group">
				<i class="fa fa-clock-o"></i> <?php  echo $form->label("duration",t("Duration"));?>
				<div class="input-group">
					<?php echo $form->number('duration', $duration?$duration:"2000", array('min'=>0, 'step'=>100, 'max'=>60000)); ?>
					<div class="input-group-addon">ms</div>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- Begin Help Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-help">
		<div class="ccm-block-field-group">
		<h3><?php echo t('About Wave Text')?></h3>
		<p><?php echo t('<em>Wave Text</em> is a jquery plugin that allows you to add wavy and curvy text.')?></p>
		<p><a href="http://www.concrete5.org/marketplace/addons/wave-text1" target="_blank"><?php echo t('Marketplace Page')?></a></p>
		<p><?php echo t('Developer: ')?><a href="http://www.concrete5.org/profile/-/view/11911/" target="_blank">Pine Creative Labs</a></p>
		<p><strong><?php echo t('Version: %s', $pkgVersion);?></strong></p>
		<p>&nbsp;</p>
		<h3><?php echo t('Options')?></h3>
		<p><strong><?php echo t('Scale to Fit</strong> - Enable to automatically make text best fit within container (makes it responsive). Disable to make font size inherited from theme.')?></p>
		<p><strong><?php echo t('Rotate Along Curve</strong> - Disable to prevent characters from rotating along with curve.')?></p>
		<p><strong><?php echo t('Animate upon page load</strong> - Disable to prevent animation of text when page loads.')?></p>
		<p><strong><?php echo t('Duration')?></strong> - <?php echo t('Duration of animation, in milliseconds (2000 = 2 seconds).')?></p>
		</div>
		
</div>

<script type="text/javascript">
    function updateType(){
        $("#wavetype").each(function(){
            if ( $(this).find("option:selected").val() == "wave" ) {
                $("#form-wave").show();
                $("#form-swirl").hide();
				$("#form-cascade").hide();
				$("#form-circle").hide();
				$("#form-arc").hide();
            }
            if ($(this).find("option:selected").val() == "swirl" ) {
                $("#form-wave").hide();
                $("#form-swirl").show();
				$("#form-cascade").hide();
				$("#form-circle").hide();
				$("#form-arc").hide();
            }
			if ($(this).find("option:selected").val() == "cascade" ) {
				$("#form-cascade").show();
				$("#form-swirl").hide();
				$("#form-wave").hide();
				$("#form-circle").hide();
				$("#form-arc").hide();
			}
			if ($(this).find("option:selected").val() == "circle" ) {
				$("#form-circle").show();
				$("#form-cascade").hide();
				$("#form-wave").hide();
				$("#form-swirl").hide();
				$("#form-arc").hide();
			}
			if ($(this).find("option:selected").val() == "arc" ) {
				$("#form-arc").show();
				$("#form-cascade").hide();
				$("#form-wave").hide();
				$("#form-swirl").hide();
				$("#form-circle").hide();
			}
		});
	};
	updateType();
</script>